Subject: Re: bug#22828: 25.1.50; Mark symlinks whose target matches regexp

From: Tino Calancha <[email-masked]>
Date: Sun, 28 Feb 2016 15:48:19 +0900 (JST)

> I'm not sure whether that's generally useful enough to include in
> dired...  I can't say that I remember ever wanting something like that.
Sometimes the meaninful part of the symbolic link is in the target.
Let's say you have a lot of files (thousands of them), in different 
locations and you create links to them:
t1
t2
...
ti
...
to all those files under the same directory for whatever 
processing/editing that you have in mind.
In such case, the only mark which has sense to pick up some
particular files with a regexp is something like the proposed
command in this thread.

> And this implementation also seems quite fragile.  Will symlinks always
> be presented as " -> "?  And can " -> " be a valid part of a file name.
Good point. I agree with this.